Users
People with access to the workspace.
List users
GET
/usersWorkspace members with their role and profile access.
Try it with MCPAsk your agent to call list-users (toolset team)Set up MCP
Query parameters
pageintegerdefault: 1Page number
≥ 1
limitintegerdefault: 20Items per page (max 100)
1–100
sortstringcreated_atemailnamerole
orderstringascdesc
matchstringCombine filters with AND (default) or OR
allor
rolestringemailstringReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 9 item attributes
objectstringuser
idstringnamestring | nullemailstringavatar_urlstring | nullrolestringowneradminmemberbillingviewer
all_profilesbooleanprofile_idsarray of stringjoined_atstring (date-time) | nullpageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
{
"object": "list",
"data": [
{
"object": "user",
"id": "string",
"name": "string",
"email": "you@example.com",
"avatar_url": "https://example.com",
"role": "owner",
"all_profiles": true,
"profile_ids": [
"string"
],
"joined_at": "2026-10-13T09:00:00.000Z"
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com"
}Get a user
GET
/users/{id}Try it with MCPAsk your agent to call get-user (toolset team)Set up MCP
Path parameters
idstringrequiredUser id (usr_…)
Returns object
objectstringuser
idstringnamestring | nullemailstringavatar_urlstring | nullrolestringowneradminmemberbillingviewer
all_profilesbooleanprofile_idsarray of stringjoined_atstring (date-time) | nullResponses
{
"object": "user",
"id": "string",
"name": "string",
"email": "you@example.com",
"avatar_url": "https://example.com",
"role": "owner",
"all_profiles": true,
"profile_ids": [
"string"
],
"joined_at": "2026-10-13T09:00:00.000Z"
}